Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.common.RenderConfig Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| RenderConfig (int graphics_objs_count_in_one_step)
| Constructor, with parameter. More...
| RenderConfig ()
| Constructor.
void | Set (int graphics_objs_count_in_one_step)
| Set value. More...

## Properties
int | graphics_objs_count_in_one_step`[get, set]`
| The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value. More...

## Detailed Description

This class represents rendering configuration which is a global configuration. This configuration can be retrieved by function Library.GetRenderConfig and be set by function Library.SetRenderConfig .

## Constructor & Destructor Documentation

## ◆ RenderConfig()

foxit.common.RenderConfig.RenderConfig | ( | int | graphics_objs_count_in_one_step | ) |
| inline

Constructor, with parameter.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

## Member Function Documentation

## ◆ Set()

void foxit.common.RenderConfig.Set | ( | int | graphics_objs_count_in_one_step | ) |
| inline

Set value.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

@ return None.

## Property Documentation

## ◆ graphics_objs_count_in_one_step

int foxit.common.RenderConfig.graphics_objs_count_in_one_step
| get set

The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

In Foxit PDF SDK, rendering process can be progressive – that means the rendering process will be separated into many steps and during each step a certain count of graphics objects will be rendered. When one step is finished, Foxit PDF SDK will check and ask user whether current process needs to be paused or not (if a is used for the process of Renderer.StartRender ). This certain count is just used as a suggestion for Foxit PDF SDK to decide when to check during progressive rendering process, but cannot fully control the number of steps in a progressive rendering process. For example, when a form XObject or a shading object is to be rendered, Foxit PDF SDK will ask user whether current process needs to be paused or not, without considering this count.